Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.cms.impl.jcr.composite
Class UpdateFileCommand

    java.lang.Object
      org.jboss.portal.common.invocation.Invocation
          org.jboss.portal.cms.Command
              org.jboss.portal.cms.impl.jcr.JCRCommand
                  org.jboss.portal.cms.impl.jcr.JCRCompositeCommand
                      org.jboss.portal.cms.impl.jcr.composite.UpdateFileCommand

All Implemented Interfaces:
  java.io.Serializable

    public class UpdateFileCommand

extends JCRCompositeCommand

Author:
  Thomas Heute
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jboss.portal.cms.impl.jcr.JCRCompositeCommand
`commands`

Fields inherited from class org.jboss.portal.cms.impl.jcr.JCRCommand
`context, JCR_COMMANDFATORY_ATTRIBUTE, JCR_LOCALE_ATTRIBUTE, JCR_SESSION_ATTRIBUTE`

Fields inherited from class org.jboss.portal.common.invocation.Invocation
`EMPTY_STACK`

Constructor Summary
`UpdateFileCommand(File file, Content content, boolean makeLive)`

Method Summary
`Content` | `getContent()`
`java.util.Locale` | `getLocale()`
`java.lang.String` | `getPath()`

Methods inherited from class org.jboss.portal.cms.impl.jcr.JCRCompositeCommand
`execute`

Methods inherited from class org.jboss.portal.cms.impl.jcr.JCRCommand
`getContext, setContext`

Methods inherited from class org.jboss.portal.common.invocation.Invocation
`getAttribute, getHandler, invoke, invokeNext, removeAttribute, setAttribute, setHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UpdateFileCommand

    public UpdateFileCommand(File file,
                             Content content,
                             boolean makeLive)

Method Detail

### getPath

    public java.lang.String getPath()

### getContent

    public Content getContent()

  Returns:

### getLocale

    public java.util.Locale getLocale()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD